Subject: Re: [mpls] Alvaro Retana's No Objection on draft-ietf-mpls-ldp-mrt-06: (with COMMENT)

From: Chris Bowers <[email-masked]>
Date: Mon, 6 Nov 2017 20:10:52 +0000

Alvaro,

Thanks for the comment.  See responses inline with [CB].  Comments are addressed in this diff:

https://github.com/cbowers/draft-ietf-mpls-ldp-mrt/commit/38c71cad758ecec6f41caaccdac38abf20e6ef3b

Thanks,
Chris

-----Original Message-----
From: Alvaro Retana [mailto:[email-masked]] 
Sent: Wednesday, September 13, 2017 1:49 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Alvaro Retana's No Objection on draft-ietf-mpls-ldp-mrt-06: (with COMMENT)

Alvaro Retana has entered the following ballot position for
draft-ietf-mpls-ldp-mrt-06: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-ldp-mrt/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(1) I think that Section 4.4. (Interaction of MRT-related LDP advertisements with the MRT topology and computations) would benefit from a reference to
rfc5443 (LDP IGP Synchronization).
=====
[CB]  Good point.  I added the following text to section 4.4.

   [RFC5443] "LDP IGP Synchronization" addresses the issue of the LDP
   topology not matching the IGP topology by the advertising the maximum
   IGP cost on links where LDP is not fully operational.  This makes the
   IGP topology match the LDP topology.  As described in Section 7.3.1
   of [RFC7812], MRT is designed to be compatible with the LDP IGP
   synchronization mechanism.  When the IGP advertises the maximum cost
   on a link where LDP is not fully operational, the link is excluded
   from MRT Island formation, which prevents the MRT algorithm from
   creating any paths using that link.

=====
(2) From Section 5: "The associated LSPs must be created before a failure occurs..."  Should that be a Normative MUST?

I rewrote the sentence as follows to avoid ambiguity.

                                In order to provide protection paths which are
   immediately usable by the point of local repair in the event of a
   failure, the associated LSPs need to be created before a failure
   occurs.

---

From: Alvaro Retana <[email-masked]>
Date: Tue, 7 Nov 2017 15:13:18 -0800

Chris:

Hi!

It looks good to me.

Thanks!

Alvaro.

From: Chris Bowers <[email-masked]> <[email-masked]>
Reply: Chris Bowers <[email-masked]> <[email-masked]>
Date: November 6, 2017 at 3:10:52 PM
To: Alvaro Retana <[email-masked]> <[email-masked]>, The IESG
<[email-masked]> <[email-masked]>
CC: [email-masked] <[email-masked]> <[email-masked]>, [email-masked]
<[email-masked]> <[email-masked]>, [email-masked]
<[email-masked]> <[email-masked]>,
[email-masked] <[email-masked]> <[email-masked]>,
[email-masked] <[email-masked]> <[email-masked]>
Subject:  RE: Alvaro Retana's No Objection on draft-ietf-mpls-ldp-mrt-06:
(with COMMENT)

Alvaro,
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> (1) I think that Section 4.4. (Interaction of MRT-related LDP
> advertisements with the MRT topology and computations) would benefit from a
> reference to
> (2) From Section 5: "The associated LSPs must be created before a failure
> occurs..." Should that be a Normative MUST?
>